<?xml version="1.0"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_file.xsd">    
    <system>
        <tab id="zendesk" translate="label" sortOrder="10">
            <label>Zendesk</label>
        </tab>
        <section id="zendesk_ticket" translate="label" sortOrder="150" showInDefault="1" showInStore="1" showInWebsite="1">
            <class>separator-top</class>
            <label>Settings</label>
            <tab>zendesk</tab>
            <resource>Alogic_Storeswitcher::config</resource>
            <group id="general" translate="label" type="text" sortOrder="10" showInDefault="1" showInStore="1" showInWebsite="1">
                <label>General</label>
                <field id="enable" translate="label" type="select" sortOrder="1" showInDefault="1" showInStore="1" showInWebsite="1" canRestore="1">
                    <label>Enable</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="tokenid" translate="label comment" type="text" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Token ID</label>
                </field>
                <field id="subdomain" translate="label comment" type="text" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Sub Domain</label>
                </field>
                <field id="username" translate="label comment" type="text" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Username</label>
                </field>                
            </group>
        </section>
        <section id="general" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
            <group id="store_information" translate="label" type="text" sortOrder="100" showInDefault="1" showInWebsite="1" showInStore="1">
                <field id="abn_number" translate="label" type="text" sortOrder="62" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>ABN Number</label>
                    <can_be_empty>1</can_be_empty>
                </field>
            </group>
        </section>
   
        <section id="lof_webp2" translate="label" sortOrder="342" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>Lof WebP2</label>
            <tab>zendesk</tab>
            <resource>Alogic_Storeswitcher::config</resource>
            <group id="settings" translate="label" type="text" sortOrder="34" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Settings</label>
                <field id="enabled" translate="label" type="select" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="0" canRestore="1">
                    <label>Enabled</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="quality_level" translate="label" type="text" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="0" canRestore="1">
                    <label>Quality level</label>
                    <comment><![CDATA[Between 0 and 100]]></comment>
                </field>
                <field id="module_version" translate="label" type="select" sortOrder="3" showInDefault="1" showInWebsite="1" showInStore="0" canRestore="1">
                    <label>Module version</label>
                    <frontend_model>Lof\Webp2\VirtualType\Block\Adminhtml\System\Config\ModuleVersion</frontend_model>
                </field>
            </group>
        </section>
    </system>
</config>
